Update Binder Document Binding Rule
PUT
/api/{version}/objects/binders/{binder_id}/documents/{node_id}/binding_ruleHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
{node_id} | The binder node id field value. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
binding_rule__v | [Optional] Indicates which binding rule to apply (which document versions to link to the section). Options are: default (bind to the latest available version (assumed if binding_rule is blank)), steady-state (bind to latest version in a steady-state), current (bind to current version), or specific (bind to a specific version). |
major_version_number__v | If binding_rule__v=specific, then this is required and indicates the major version of the document to be linked. Otherwise it is ignored. |
minor_version_number__v | If binding_rule__v=specific, then this is required and indicates the major version of the document to be linked. Otherwise it is ignored. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "binding_rule__v=specific" \
-d "major_version_number__v=1" \
-d "minor_version_number__v=0" \
https://myvault.veevavault.com/api/v20.1/objects/binders/566/documents/1427491342404:-1828014479/binding_ruleResponse
Section link for Response{
"responseStatus": "SUCCESS",
"id": "1427491342404:-1828014479"
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the Node ID of the updated document node within the binder